<?php

if (!class_exists('msPaymentInterface')) {
    require_once dirname(dirname(dirname(__FILE__))) . '/model/minishop2/mspaymenthandler.class.php';
}

class Erip extends msPaymentHandler implements msPaymentInterface
{
    public $modx;

    function __construct(xPDOObject $object, $config = array())
    {
        $this->modx = &$object->xpdo;

    }

    public function send(msOrder $order)
    {
        $link = $this->getPaymentLink($order);
        return $this->success('', array('redirect' => $link));
    }

    public function getPaymentLink(msOrder $order)
    {
        $id = $order->get('id');
        $sum = number_format($order->get('cost'), 2, '.', '');

        $request = array(
            'EP_URL_Type' => 'get',
            'EP_PayType' => 'PT_ERIP',
            'EP_Sum' => $sum,
            'EP_Comment' => "   " . $id,
            'EP_OrderNo' => $id,
            'EP_MerNo' => $this->modx->getOption('EP_MerNo'),
            'EP_Expires' => $this->modx->getOption('EP_Expires'),
            'EP_Success_URL' => $this->modx->getOption('EP_Success_URL') . '?msorder=' . $id,
            'EP_Cancel_URL' => $this->modx->getOption('EP_Success_URL'),
            'EP_Hash' => md5($this->modx->getOption('EP_MerNo') . $this->modx->getOption('web_key') . $id . $sum),
        );

        $link = 'https://ssl.easypay.by/weborder/?EP_Module=modx_rev_2.3.x_miniShop2&' . http_build_query($request);
        return $link;
    }
}